openapi: 3.0.0
info:
  title: SAP API
  version: 1.0.0
servers:
- url: http://localhost:8080
paths:
  /rfc/ITS_DOCU_BACK:
    post:
      tags:
      - AWRT_DOCU
      summary: Return in the History
      operationId: /rfc/ITS_DOCU_BACK
      requestBody:
        content:
          application/json:
            schema:
              properties:
                CONTEXT:
                  type: array
                  items:
                    type: object
                    properties:
                      FIELDNAME:
                        type: string
                        maxLength: 30
                        description: ALE/Web (ITS) context - field name
                      FIELDINDEX:
                        type: integer
                        format: int64
                        description: ALE/Web (ITS) context - index
                      FIELDCONT:
                        type: string
                        maxLength: 1024
                        description: ALE/Web (ITS) context - field contents
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  CONTEXT:
                    type: array
                    items:
                      type: object
                      properties:
                        FIELDNAME:
                          type: string
                          maxLength: 30
                          description: ALE/Web (ITS) context - field name
                        FIELDINDEX:
                          type: integer
                          format: int64
                          description: ALE/Web (ITS) context - index
                        FIELDCONT:
                          type: string
                          maxLength: 1024
                          description: ALE/Web (ITS) context - field contents
        '400':
          description: Bad request.
        5XX:
          description: Unexpected error.
